package com.finebi.plugin;

import com.finebi.conf.internalimp.component.ShowComponent;
import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;

@EnableMetrics
public class BIShowBoxPlotChart extends AbstractWebResourceProvider {

    @Override
    public Atom attach() {
        return ShowComponent.KEY;
    }

    @Override
    @Focus(id = "com.finebi.plugin.BIShowBoxPlotChart", text = "隐藏预览界面导出PDF按钮", source = Original.PLUGIN)
    public Atom client() {
        return BIBoxPlotChartComponent.KEY;
    }
}